//
//  AlloVoisinReputationScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct AlloVoisinReputationScreen: View {

    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                VStack {
                    SQText("Le saviez-vous ?", size: 20, font: .bold)
                    SQText("AlloVoisins en France, c’est :", size: 20, font: .bold)
                }
                VStack {
                    SQText("4,5 millions", size: 32, font: .bold)
                    SQText("de membres, partout en France")
                }
                .padding(16)
                .background(Color.white)
                .cornerRadius(8)
                VStack(spacing: 8) {
                    VStack {
                        HStack {
                            SQIcon(.star, size: .xxl, type: .solid, color: .sqGold(50))
                            SQText("4,6/5", size: 32, font: .bold)
                        }
                        SQText("Calculé à partir de 107,1 k avis")
                    }
                    HStack(spacing: 16) {
                        HStack(spacing: 2) {
                            SQIcon(.apple_brand, size: .s)
                            SQText("App Store", size: 10)
                        }
                        HStack(spacing: 2) {
                            SQIcon(.play_store_brand, size: .s)
                            SQText("Google Play", size: 10)
                        }
                        HStack(spacing: 2) {
                            SQIcon(.star_trustpilot_brand, size: .s)
                            SQText("Trustpilot", size: 10)
                        }
                    }
                }
                .padding(16)
                .background(Color.white)
                .cornerRadius(8)
                VStack {
                    SQText("La presse en parle", size: 24, font: .bold)
                    HStack(spacing: 16) {
                        Image("m6")
                            .resizable()
                            .scaledToFit()
                            .frame(height: 24)
                        Image("rtl")
                            .resizable()
                            .scaledToFit()
                            .frame(height: 24)
                        Image("tf1")
                            .resizable()
                            .scaledToFit()
                            .frame(height: 24)
                        Image("bfm")
                            .resizable()
                            .scaledToFit()
                            .frame(height: 24)
                    }
                }
                .padding(16)
                .background(Color.white)
                .cornerRadius(8)
                SQButton("Conserver mon abonnement", color: .sqNeutral(100), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqBlue(10))
            .cornerRadius(8)

            SQButton("J’ai compris, mais je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
    }
}

#Preview {
    AlloVoisinReputationScreen()
}
